## aplus-fsf 4.22.1

=== src/html/tutorials/Makefile ===
# Makefile.in generated by automake 1.6.3 from Makefile.am.
# src/html/tutorials/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



###############################################################################
###############################################################################
SHELL = /bin/sh

srcdir = .
top_srcdir = ../../..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/aplus-fsf
pkglibdir = $(libdir)/aplus-fsf
pkgincludedir = $(includedir)/aplus-fsf
top_builddir = ../../..

ACLOCAL = aclocal-1.6
AUTOCONF = autoconf
AUTOMAKE = automake-1.6
AUTOHEADER = autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu

EXEEXT = 
OBJEXT = o
PATH_SEPARATOR = :
AMTAR = tar
AS = @AS@
AWK = gawk
CC = gcc
CXX = g++
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
ECHO = echo
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = config/ltmain.sh
LN_S = ln -s
MAINT = #
OBJDUMP = @OBJDUMP@
PACKAGE = aplus-fsf
RANLIB = ranlib
STRIP = strip
VERSION = 4.22
X_INCLUDES = -I/usr/X11R6/include
X_LIBS = -L/usr/X11R6/lib -lX11
am__include = include
am__quote = 
install_sh = /ms/dev/aplus/aplus/fsf/src/aplus-fsf-4.22/config/install-sh

SUBDIRS = graphs s.tutorials

tutorialsdir = $(prefix)/doc/html/tutorials

tutorials_DATA = \
	Assignment.html \
	GettingStarted.html \
	Introduction.html \
	NestedArrays.html \
	ScalarFunctions.html \
	SimpleArrays.html \
	Syntax.html


EXTRA_DIST = \
	Assignment.html \
	GettingStarted.html \
	Introduction.html \
	NestedArrays.html \
	ScalarFunctions.html \
	SimpleArrays.html \
	Syntax.html

subdir = src/html/tutorials
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DATA = $(tutorials_DATA)


RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = Makefile.am Makefile.in
DIST_SUBDIRS = $(SUBDIRS)
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/html/tutorials/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tutorialsDATA_INSTALL = $(INSTALL_DATA)
install-tutorialsDATA: $(tutorials_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(tutorialsdir)
	@list='$(tutorials_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(tutorialsDATA_INSTALL) $$d$$p $(DESTDIR)$(tutorialsdir)/$$f"; \
	  $(tutorialsDATA_INSTALL) $$d$$p $(DESTDIR)$(tutorialsdir)/$$f; \
	done

uninstall-tutorialsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(tutorials_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(tutorialsdir)/$$f"; \
	  rm -f $(DESTDIR)$(tutorialsdir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

ETAGS = etags
ETAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(DATA)
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(tutorialsdir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-generic distclean-libtool \
	distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am: install-tutorialsDATA

install-exec-am:

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

uninstall-am: uninstall-info-am uninstall-tutorialsDATA

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
	clean-generic clean-libtool clean-recursive distclean \
	distclean-generic distclean-libtool distclean-recursive \
	distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
	info-recursive install install-am install-data install-data-am \
	install-data-recursive install-exec install-exec-am \
	install-exec-recursive install-info install-info-am \
	install-info-recursive install-man install-recursive \
	install-strip install-tutorialsDATA installcheck \
	installcheck-am installdirs installdirs-am \
	installdirs-recursive maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-generic \
	mostlyclean-libtool mostlyclean-recursive tags tags-recursive \
	uninstall uninstall-am uninstall-info-am \
	uninstall-info-recursive uninstall-recursive \
	uninstall-tutorialsDATA

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== src/html/tutorials/graphs/Makefile ===
# Makefile.in generated by automake 1.6.3 from Makefile.am.
# src/html/tutorials/graphs/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



###############################################################################
###############################################################################
SHELL = /bin/sh

srcdir = .
top_srcdir = ../../../..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/aplus-fsf
pkglibdir = $(libdir)/aplus-fsf
pkgincludedir = $(includedir)/aplus-fsf
top_builddir = ../../../..

ACLOCAL = aclocal-1.6
AUTOCONF = autoconf
AUTOMAKE = automake-1.6
AUTOHEADER = autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu

EXEEXT = 
OBJEXT = o
PATH_SEPARATOR = :
AMTAR = tar
AS = @AS@
AWK = gawk
CC = gcc
CXX = g++
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
ECHO = echo
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = config/ltmain.sh
LN_S = ln -s
MAINT = #
OBJDUMP = @OBJDUMP@
PACKAGE = aplus-fsf
RANLIB = ranlib
STRIP = strip
VERSION = 4.22
X_INCLUDES = -I/usr/X11R6/include
X_LIBS = -L/usr/X11R6/lib -lX11
am__include = include
am__quote = 
install_sh = /ms/dev/aplus/aplus/fsf/src/aplus-fsf-4.22/config/install-sh

graphsdir = $(prefix)/doc/html/tutorials/graphs

graphs_DATA = \
	graph_tutorial.html


EXTRA_DIST = \
	graph_tutorial.html

subdir = src/html/tutorials/graphs
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DATA = $(graphs_DATA)

DIST_COMMON = Makefile.am Makefile.in
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/html/tutorials/graphs/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
graphsDATA_INSTALL = $(INSTALL_DATA)
install-graphsDATA: $(graphs_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(graphsdir)
	@list='$(graphs_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(graphsDATA_INSTALL) $$d$$p $(DESTDIR)$(graphsdir)/$$f"; \
	  $(graphsDATA_INSTALL) $$d$$p $(DESTDIR)$(graphsdir)/$$f; \
	done

uninstall-graphsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(graphs_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(graphsdir)/$$f"; \
	  rm -f $(DESTDIR)$(graphsdir)/$$f; \
	done
tags: TAGS
TAGS:

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../../../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(graphsdir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-graphsDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

uninstall-am: uninstall-graphsDATA uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-graphsDATA \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool uninstall uninstall-am uninstall-graphsDATA \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== src/html/tutorials/s.tutorials/Makefile ===
# Makefile.in generated by automake 1.6.3 from Makefile.am.
# src/html/tutorials/s.tutorials/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



###############################################################################
###############################################################################
SHELL = /bin/sh

srcdir = .
top_srcdir = ../../../..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/aplus-fsf
pkglibdir = $(libdir)/aplus-fsf
pkgincludedir = $(includedir)/aplus-fsf
top_builddir = ../../../..

ACLOCAL = aclocal-1.6
AUTOCONF = autoconf
AUTOMAKE = automake-1.6
AUTOHEADER = autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu

EXEEXT = 
OBJEXT = o
PATH_SEPARATOR = :
AMTAR = tar
AS = @AS@
AWK = gawk
CC = gcc
CXX = g++
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
ECHO = echo
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = config/ltmain.sh
LN_S = ln -s
MAINT = #
OBJDUMP = @OBJDUMP@
PACKAGE = aplus-fsf
RANLIB = ranlib
STRIP = strip
VERSION = 4.22
X_INCLUDES = -I/usr/X11R6/include
X_LIBS = -L/usr/X11R6/lib -lX11
am__include = include
am__quote = 
install_sh = /ms/dev/aplus/aplus/fsf/src/aplus-fsf-4.22/config/install-sh

s_tutorialsdir = $(prefix)/doc/html/tutorials/s.tutorials

s_tutorials_DATA = \
	buttons.html \
	containers.html \
	data.html \
	introduction.html \
	menus.html \
	printing.html \
	s_context_vars.html \
	special_io.html


EXTRA_DIST = \
	buttons.html \
	containers.html \
	data.html \
	introduction.html \
	menus.html \
	printing.html \
	s_context_vars.html \
	special_io.html

subdir = src/html/tutorials/s.tutorials
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DATA = $(s_tutorials_DATA)

DIST_COMMON = Makefile.am Makefile.in
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/html/tutorials/s.tutorials/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
s_tutorialsDATA_INSTALL = $(INSTALL_DATA)
install-s_tutorialsDATA: $(s_tutorials_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(s_tutorialsdir)
	@list='$(s_tutorials_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(s_tutorialsDATA_INSTALL) $$d$$p $(DESTDIR)$(s_tutorialsdir)/$$f"; \
	  $(s_tutorialsDATA_INSTALL) $$d$$p $(DESTDIR)$(s_tutorialsdir)/$$f; \
	done

uninstall-s_tutorialsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(s_tutorials_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(s_tutorialsdir)/$$f"; \
	  rm -f $(DESTDIR)$(s_tutorialsdir)/$$f; \
	done
tags: TAGS
TAGS:

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../../../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(s_tutorialsdir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-s_tutorialsDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

uninstall-am: uninstall-info-am uninstall-s_tutorialsDATA

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-man install-s_tutorialsDATA \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic mostlyclean-libtool uninstall uninstall-am \
	uninstall-info-am uninstall-s_tutorialsDATA

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
aplus-fsf (4.22.1-12) unstable; urgency=medium

  * Updated debhelper compatibility level to 13.
  * Support parallel building. (Closes: #720962).

 -- Neil Roeth <neil@debian.org>  Mon, 25 Dec 2023 22:10:05 -0500

aplus-fsf (4.22.1-11) unstable; urgency=medium

  * Updated to source format 3.0 (quilt). (Closes: #1036274).
  * Reinstated package aplus-fsf-el.

 -- Neil Roeth <neil@debian.org>  Sun, 17 Dec 2023 17:24:29 -0500

aplus-fsf (4.22.1-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS against glibc 2.32 by using strerror() instead of sys_errlist.
    Thanks to Logan Rosen <logan@ubuntu.com>. (Closes: #979462)
  * Fix FTBFS on GCC-11, avoiding ordered pointer comparisons with integer.
    Thanks to Lukas Märdian <slyon@ubuntu.com>. (Closes: #983970)

 -- Marcos Talau <marcos@talau.info>  Wed, 13 Apr 2022 12:10:56 -0300

aplus-fsf (4.22.1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs. (Closes: #925633)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2020 22:51:54 +0000

aplus-fsf (4.22.1-10) unstable; urgency=medium

  * Removed implicit build dependency on g++-6 (Closes: #871171).

 -- Neil Roeth <neil@debian.org>  Wed, 06 Sep 2017 22:09:18 -0400

aplus-fsf (4.22.1-9) unstable; urgency=medium

  * Applied patch to explicitly declare some functions.  Thanks Steve
    Langasek. (Closes: #830840).
  * Build with GCC 6 using -std=gnu++98. (Closes: #831169).
  * Changed src/main/Makefile.am to use libdir instead of prefix for IMDIRVAL.
  * Explicitly specify x-includes and x-libraries when configuring because
    it failed to find automatically otherwise.
  * Added calls to pthread_mutexattr_init() to avoid spurious errors.

 -- Neil Roeth <neil@debian.org>  Sun, 28 Aug 2016 09:06:52 -0400

aplus-fsf (4.22.1-8) unstable; urgency=medium

  * Fixed FTBFS by changing HAVE_SVR4 to HAVE_SIGACTION because it is the
    presence of sigaction that is actually required. (Closes: #790226).
  * Added build-arch and build-indep targets. (Closes: #821963).

 -- Neil Roeth <neil@debian.org>  Sun, 10 Jul 2016 21:40:38 -0400

aplus-fsf (4.22.1-7) unstable; urgency=medium

  * Increased recursion limit with patch from Doug Telford.
  * Added dependency on libstdc++6 >= 5.2.1 which has some required
    symbols but which dh_shlibdeps does not find. (Closes: #794922).

 -- Neil Roeth <neil@debian.org>  Tue, 27 Oct 2015 22:51:18 -0400

aplus-fsf (4.22.1-6) unstable; urgency=low

  * Install docs in aplus-fsf-el so copyright is included.  (Closes:
    #683938).
  * Corrected aplus-fsf-el.NEWS format.

 -- Neil Roeth <neil@debian.org>  Sun, 05 Aug 2012 13:07:00 -0400

aplus-fsf (4.22.1-5) unstable; urgency=low

  * Made aplus-fsf-el inoperative because it depends upon XEmacs 21 which
    is removed from Debian.  Files can still be edited with vi in an
    xterm, and the interpreter is still fully functional.

 -- Neil Roeth <neil@debian.org>  Fri, 03 Aug 2012 20:04:08 -0400

aplus-fsf (4.22.1-4.2) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #674316.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 12:50:41 +0000

aplus-fsf (4.22.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ../MSTypes/MSTypeData.H:54:23: error: declaration of
    'operator new' as non-function": add patch from Ubuntu / Andreas Moog:
    - src/main/Makefile.am/in: Fix order of arguments to allow building 
      with --as-needed.
    - src/MSGUI/Makefile.am/in: Include X11 libs when linking
    - src/MSTypes/MSTypeData.H: Add <cstddef> to headers (LP: #766003)
    (Closes: #625102)

 -- gregor herrmann <gregoa@debian.org>  Thu, 08 Dec 2011 14:56:21 +0100

aplus-fsf (4.22.1-4) unstable; urgency=low

  * Fix FTBFS with changes to MSFloat.C and MSUtil.C. (Closes: #560446).
  * Updated standards version to 3.8.3 (no changes necessary).

 -- Neil Roeth <neil@debian.org>  Mon, 28 Dec 2009 00:23:44 -0500

aplus-fsf (4.22.1-3) unstable; urgency=low

  * Now put updated config.{sub,guess} in the proper location.
    (Closes: #536428).
  * Removed unnecessary debian/xfonts-kapl.{postinst,prerm}.
  * Changed dh_clean -k to dh_prep in debian/rules.
  * Updated standards version to 3.8.2 (no changes).
  * Removed unnecessary call to dh_makeshlibs that caused lintian error
    about unnecessary call to ldconfig.
  * Fixed file location for rgb.txt and fixed method that reads it to
    handle comments properly.

 -- Neil Roeth <neil@debian.org>  Mon, 20 Jul 2009 22:38:10 -0400

aplus-fsf (4.22.1-2) unstable; urgency=low

  * Rebuild to get up to date config.{sub,guess}. (Closes: #535728).

 -- Neil Roeth <neil@debian.org>  Sat, 04 Jul 2009 20:00:08 -0400

aplus-fsf (4.22.1-1) unstable; urgency=low

  * New upstream release.
  - Fixes errors on amd64 platform. (Closes: #468131)
  - Also fixes "Font problems in aplus-fsf in Debian-40r0-amd64" which I
    believe is a 64 bit problem, not a font problem. (Closes: #422970)
  * Fixed "aplus-fsf: bashism in debian/rules". (Closes: #472909)
  * Added patch from Stephen Ma for "Entering APL characters via C-c
    prefix". (Closes: #413028)
  * Moved dyld'ed shared objects to /usr/lib/aplus-fsf. They are used only
    by the A+ binary. Moved system A+ scripts to /usr/lib/aplus-fsf/lib.
  * debian/rules: Do not ignore errors in make distclean.
  * debian/rules: Incremented debhelper compatibility version to 6.

 -- Neil Roeth <neil@debian.org>  Mon, 07 Apr 2008 23:04:32 -0400

aplus-fsf (4.20.2-5) unstable; urgency=medium

  * Move xfonts-kapl.postrm to .prerm, it depends on fc-cache which could
    get removed before this package, making the removal of xfonts-kapl
    fail.  Thanks to Lucas Nussbaum. (closes: #398832)

 -- Neil Roeth <neil@debian.org>  Sat, 18 Nov 2006 09:23:17 -0500

aplus-fsf (4.20.2-4) unstable; urgency=low

  * "FTBFS with G++ 4.1: cannot convert MSObjectVector<MSBool> to int"
    Thanks to Martin Michlmayr, and to Ben Hutchings for supplying the


=== debian/control ===
Source: aplus-fsf
Section: interpreters
Priority: optional
Maintainer: Neil Roeth <neil@debian.org>
Build-Depends: debhelper (>=13.0.0), debhelper-compat (=13), autotools-dev,
 libx11-dev, libxt-dev, dh-buildinfo
Standards-Version: 3.8.3

Package: aplus-fsf-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: xfonts-kapl
Description: A+ programming language documentation
 This package contains the HTML documentation and examples for the A+
 programming language and development environment.  See the package aplus-fsf
 for the run-time environment, and aplus-fsf-dev for the development
 environment.

Package: xfonts-kapl
Section: fonts
Architecture: all
Multi-Arch: foreign
Depends: fontconfig, ${misc:Depends}
Description: APL fonts for A+ development
 The A+ programming language development environment requires these APL fonts
 to properly display A+ code in an XTerm, XEmacs or a web browser.  They are
 not required to run an A+ program.

Package: aplus-fsf-el
Section: lisp
Architecture: all
Depends: emacsen-common (>=2.0.8), ${misc:Depends}
Recommends: xemacs21-nomule
Description: XEmacs lisp for A+ development
 This package contains the XEmacs lisp required for the development of A+
 programs.  It does the key bindings, sets the font properly, and binds some
 function keys. The complete A+ development environment is provided by the
 aplus-fsf-dev package.
 .
 To load A+ from XEmacs, load a file with extension .apl, .a or .+, or
 use the command 'M-x a-mode'.  Or, press F4 to start the A+ interpreter.
 .
 See /usr/share/doc/README.Debian.gz if you have trouble entering the special
 A+ characters in XEmacs. 

Package: aplus-fsf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A+ programming language run-time environment
 A+ is a powerful and efficient programming language. It is freely
 available under the GNU General Public License. It embodies a rich set
 of functions and operators, a modern graphical user interface with
 many widgets and automatic synchronization of widgets and variables,
 asynchronous execution of functions associated with variables and
 events, dynamic loading of user compiled subroutines, and many other
 features. Execution is by a rather efficient interpreter. A+ was
 created at Morgan Stanley. Primarily used in a
 computationally-intensive business environment, many critical
 applications written in A+ have withstood the demands of real world
 developers over many years. Written in an interpreted language, A+
 applications tend to be portable.
 .
 This package contains the binaries and libraries needed to run A+ programs.
 The A+ development environment is provided by the aplus-fsf-dev package.

Package: aplus-fsf-dev
Section: devel
Architecture: any
Depends: aplus-fsf, aplus-fsf-el, aplus-fsf-doc, ${misc:Depends}
Recommends: xfonts-kapl
Description: A+ programming language development environment
 A+ is a powerful and efficient programming language. It is freely
 available under the GNU General Public License. It embodies a rich set
 of functions and operators, a modern graphical user interface with
 many widgets and automatic synchronization of widgets and variables,
 asynchronous execution of functions associated with variables and
 events, dynamic loading of user compiled subroutines, and many other
 features. Execution is by a rather efficient interpreter. A+ was
 created at Morgan Stanley. Primarily used in a
 computationally-intensive business environment, many critical
 applications written in A+ have withstood the demands of real world
 developers over many years. Written in an interpreted language, A+
 applications tend to be portable.
 .
 This is a metapackage that provides a complete A+ development environment.
 The A+ run-time environment is provided by the aplus-fsf package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
	NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

default: build

autoinit:
	./bootstrap.sh

clean-stamp:
	rm -f configure-stamp build-stamp install-stamp \
	xfonts-kapl-stamp aplus-fsf-el-stamp aplus-fsf-doc-stamp \
	aplus-fsf-stamp aplus-fsf-dev-stamp

clean: clean-stamp
	dh_testdir
	rm -f debian/buildinfo
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f print.ps
	dh_clean
# See /usr/share/doc/autotools-dev/README.Debian.gz
	-test -r /usr/share/misc/config.sub && \
		cp -f /usr/share/misc/config.sub config/config.sub
	-test -r /usr/share/misc/config.guess && \
		cp -f /usr/share/misc/config.guess config/config.guess

confflags = --prefix=/usr --libdir=/usr/lib/aplus-fsf --x-includes=/usr/include --x-libraries=/usr/lib

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# see /usr/share/doc/autotools-dev/README.Debian
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_buildinfo generate cat
# Add here commands to configure the package.
	./configure $(confflags)
	touch $@

# CFLAGS := -g -pipe -std=gnu++98 -ffile-prefix-map=$(CURDIR)=.
# CXXFLAGS := -g -pipe -std=gnu++98 -ffile-prefix-map=$(CURDIR)=.
CFLAGS := -g -pipe -std=gnu++98
CXXFLAGS := -g -pipe -std=gnu++98
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
  CXXFLAGS += -O0
else
  CFLAGS += -O2
  CXXFLAGS += -O2
endif
export CFLAGS
export CXXFLAGS
export LDFLAGS

build-stamp: configure
	dh_testdir
	$(MAKE) $(NJOBS)
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

# CURDIR is set by make
DESTDIR = $(CURDIR)/debian/tmp
export DESTDIR # so it gets passed to sub-makes

install_	:= install -o root -g root -p
install_data	:= install -o root -g root -m 644 -p
install_script	:= install -o root -g root -m 755 -p
install_program	:= install -o root -g root -m 755 -p
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  install_program += --strip
endif
inst_flags := INSTALL='$(install_)'
inst_flags += INSTALL_DATA='$(install_data)'
inst_flags += INSTALL_SCRIPT='$(install_script)'
inst_flags += INSTALL_PROGRAM='$(install_program)'

# The install step can take quite a while, so use a stamp file for that to
# avoid redoing it unless necessary.
install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_prep
# Install into DESTDIR with upstream's directory structure
	$(MAKE) install $(inst_flags)
	dh_lintian
	touch $@

binary: binary-indep binary-arch

# Architecture-independent
binary-indep: xfonts-kapl aplus-fsf-el aplus-fsf-doc

# Architecture-dependent
binary-arch: aplus-fsf aplus-fsf-dev

xfonts-kapl: install xfonts-kapl-stamp
aplus-fsf-el: install aplus-fsf-el-stamp
aplus-fsf-doc: install aplus-fsf-doc-stamp
aplus-fsf: install aplus-fsf-stamp
aplus-fsf-dev: install aplus-fsf-dev-stamp

export DH_OPTIONS

%-stamp: DH_OPTIONS=-p$(@:%-stamp=%)

xfonts-kapl-stamp:
	dh_testdir
	dh_testroot
	rm -fr debian/xfonts-kapl/ debian/xfonts-kapl.*.debhelper
	dh_installdirs
# Alias file must be <package>.alias; dh_install cannot rename
	cd $(DESTDIR)/usr/fonts/X11/pcf && cp -p Kapl.alias xfonts-kapl.alias
	dh_install
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_installxfonts
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	touch $@

aplus-fsf-el-stamp:
	dh_testdir
	dh_testroot
	rm -fr debian/aplus-fsf-el/ debian/aplus-fsf-el.*.debhelper
	dh_installdirs
	dh_install
	dh_installdocs
	dh_installemacsen --flavor=xemacs21
	dh_installchangelogs ChangeLog
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	touch $@

aplus-fsf-doc-stamp:
	dh_testdir
	dh_testroot
	rm -fr debian/aplus-fsf-doc/ debian/aplus-fsf-doc.*.debhelper
	dh_installdirs
	dh_install
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	touch $@

aplus-fsf-stamp:
	dh_testdir
	dh_testroot
	rm -fr debian/aplus-fsf/ debian/aplus-fsf.*.debhelper
	dh_installdirs
	dh_install
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installchangelogs ChangeLog
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -- -v debian/aplus-fsf/usr/bin/a+
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	touch $@

aplus-fsf-dev-stamp:
	dh_testdir
	dh_testroot
	rm -fr debian/aplus-fsf-dev/ debian/aplus-fsf-dev.*.debhelper
	dh_installdirs
	dh_install
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	touch $@

.PHONY: configure build install binary-indep binary-arch binary clean \
xfonts-kapl aplus-fsf-el aplus-fsf-doc aplus-fsf aplus-fsf-dev

# Local Variables:
# compile-command: "cd .. && dpkg-buildpackage -uc -us"
# End:
